# Class RolePrincipal

java.lang.Object
waffle.jaas.RolePrincipal

All Implemented Interfaces:
  `Serializable, Principal`

public class RolePrincipal extends Object implements Principal, Serializable
Role principal.

See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`RolePrincipal(String newFqn)`
A windows principal.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object o)`
Role Principal Equals for FQN.
`String`
`getName()`
Role name (Windows Group).
`int`
`hashCode()`
Role Principal HashCode for FQN.

### Methods inherited from class Object

`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface Principal

`implies, toString`

## Constructor Details

### RolePrincipal

public RolePrincipal(String newFqn)
A windows principal.

Parameters:
  `newFqn` - Fully qualified name.

## Method Details

### getName

public String getName()
Role name (Windows Group).

Specified by:
  `getName` in interface `Principal`
Returns:
  the name

### equals

public boolean equals(Object o)
Role Principal Equals for FQN.

Specified by:
  `equals` in interface `Principal`
Overrides:
  `equals` in class `Object`
Parameters:
  `o` - Object used for Equality Check.
Returns:
  true, if successful

### hashCode

public int hashCode()
Role Principal HashCode for FQN.

Specified by:
  `hashCode` in interface `Principal`
Overrides:
  `hashCode` in class `Object`
Returns:
  the int